<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;
use App\Mail\ContactUs;

use Session;
use Exception;

class ContactController extends Controller
{
    public function create(Request $request)
    {
        try {
            if($request->isMethod('post')){
                $toSend = $request->except('_token');
                if(!isset($request->name)){
                    $toSend['name'] = 'Non renseigné';
                    $toSend['phone'] = 'Non renseigné';
                }
                Mail::to("iitech@iitech-benin.net")->send(new ContactUs($toSend));
                return redirect()->back()->with([
                    'message' => 'Votre message a été bien envoyé. Vous serez contacté très prochainement.',
                ]);
            }else{
                $couleur  = Session::get('school_info')['color1'];
                $couleur2 = Session::get('school_info')['color2'];
                $couleur3 = Session::get('school_info')['color3'];
                return view('contact')->with(['couleur'=>$couleur,'couleur2'=>$couleur2,'couleur3'=>$couleur3]);
            }
        } catch (Exception $e) {
            return redirect()->back()->with([
                'error' => 'Une erreur inattendue est survenue. Veuillez réessayer.',
            ]);
        }
    }
}
